Bug 1777992 - Error to deploy host on RHV 4.3 via Satellite using custom instance type.
Summary: Error to deploy host on RHV 4.3 via Satellite using custom instance type.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-28 22:14 UTC by Rudnei Bertol Jr.
Modified: 2020-04-14 13:28 UTC (History)
5 users (show)

Fixed In Version: foreman-1.24.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27943 Normal Closed oVirt return an error when creating vm with instance type with a lot of memory 2020-05-19 15:06:00 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:00 UTC

Description Rudnei Bertol Jr. 2019-11-28 22:14:37 UTC
Description of problem:

When creating a host on the RHV computer resource using the custom instance type, we get the following error when try to submit the host.

"""
Failed to create a compute RHV-NASA (RHV) instance damon-paley.gsslab.rdu2.redhat.com: Fault reason is "Operation Failed". Fault detail is "[Cannot add VM. Physical Memory Guaranteed cannot exceed Memory Size.]". HTTP response code is 400.
"""

Version-Release number of selected component (if applicable):

Satellite 6.6 and RHV 4.3


How reproducible:

Try to create a host via Satellite on an RHV computer resource using the custom instance type and setting a memory value on the memory field.

Steps to Reproduce:
1. Configure an RHV 4.3 as a computer resource
2. Try to deploy a host via Satellite using custom instance type, setting a memory on the memory field as '4 GB' or '3 GB'.

Actual results:

The host creation is failing with the following error.

"""
Failed to create a compute RHV-NASA (RHV) instance damon-paley.gsslab.rdu2.redhat.com: Fault reason is "Operation Failed". Fault detail is "[Cannot add VM. Physical Memory Guaranteed cannot exceed Memory Size.]". HTTP response code is 400.
"""

Expected results:

The host is created.

Additional info:

A traceback from production.log will be updated on this BZ

Comment 3 Rudnei Bertol Jr. 2019-11-28 22:20:33 UTC
Following the traceback error on the production.log file.

"""
019-11-28T17:01:26 [I|app|19b88ec0] Started POST "/hosts" for 10.10.120.117 at 2019-11-28 17:01:26 -0500
2019-11-28T17:01:26 [I|app|19b88ec0] Processing by HostsController#create as */*
2019-11-28T17:01:26 [I|app|19b88ec0]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"0rgzzA+FXKV60bumkZl7CZ3fc+tryezUk/wP/lzTc2DCHy4kb4791chwFq9TzQ2Yv9iMjf2XqyjiT3yFdwOnxA==", "host"=>{"name"=>"damon-paley", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"2", "compute_resource_id"=>"1", "content_facet_attributes"=>{"lifecycle_environment_id"=>"1", "content_view_id"=>"1", "content_source_id"=>"1", "kickstart_repository_id"=>"36"}, "ansible_role_ids"=>[""], "puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"damon-paley", "domain_id"=>"1", "subnet_id"=>"1", "ip"=>"", "ip6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"name"=>"", "network"=>"349c9bfe-6429-4d58-a784-21e204fccaff", "interface"=>"virtio"}}}, "compute_attributes"=>{"cluster"=>"27b6021a-0911-49f5-b538-ba6e2402196e", "template"=>"e2a64f56-d9d7-4343-bede-b711f73e901f", "instance_type"=>"", "cores"=>"2", "sockets"=>"1", "memory"=>"4294967296", "ha"=>"0", "start"=>"1", "volumes_attributes"=>{"1574978475326"=>{"_delete"=>"", "size_gb"=>"25", "storage_domain"=>"a4a64540-b243-4d52-8837-a267f02053fa", "id"=>"11faa8d3-0dd4-448e-aacc-d76967731852", "preallocate"=>"0", "wipe_after_delete"=>"1", "interface"=>"", "bootable"=>"true"}}, "image_id"=>"e2a64f56-d9d7-4343-bede-b711f73e901f"}, "architecture_id"=>"1", "operatingsystem_id"=>"2", "provision_method"=>"image", "build"=>"1", "medium_id"=>"", "ptable_id"=>"94", "pxe_loader"=>"PXELinux BIOS", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"4-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "media_selector"=>"synced_content"}
2019-11-28T17:01:26 [I|app|19b88ec0] Current user set to admin (admin)
2019-11-28T17:01:26 [I|app|19b88ec0] Adding Compute instance for damon-paley.gsslab.rdu2.redhat.com
2019-11-28T17:01:27 [W|app|19b88ec0] Failed to create a compute RHV-NASA (RHV) instance damon-paley.gsslab.rdu2.redhat.com: Fault reason is "Operation Failed". Fault detail is "[Cannot add VM. Physical Memory Guaranteed cannot exceed Memory Size.]". HTTP response code is 400.
 
2019-11-28T17:01:27 [W|app|19b88ec0] Rolling back due to a problem: [#<Orchestration::Task:0x00007f1d898b8c80 @name="Set up compute instance damon-paley.gsslab.rdu2.redhat.com", @id="Set up compute instance damon-paley.gsslab.rdu2.redhat.com", @status="failed", @priority=3, @action=[#<Host::Managed id: nil, name: "damon-paley.gsslab.rdu2.redhat.com", last_compile: nil, last_report: nil, updated_at: nil, created_at: nil, root_pass: "$5$AsAgKRD7IKs9jrET$XGdCihHIx1QkKUS0l31Au0DAS4ZKFg...", architecture_id: 1, operatingsystem_id: 2, environment_id: 1, ptable_id: 94, medium_id: nil, build: true, comment: "", disk: "", installed_at: nil, model_id: nil, hostgroup_id: 2, owner_id: 4, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: 1, puppet_proxy_id: 1, certname: nil, image_id: 2, organization_id: 1, location_id: 2, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: nil, provision_method: "image", grub_pass: "$6$0FGALfBBto7ZizDs$RnQNhFxzhUTJE0w8oW7YSDt8cPhlUZ...", discovery_rule_id: nil, global_status: 0, lookup_value_matcher: "fqdn=damon-paley.gsslab.rdu2.redhat.com", pxe_loader: "PXELinux BIOS", openscap_proxy_id: nil, initiated_at: nil, build_errors: nil>, :setCompute], @created=1574978486.8987076, @timestamp=2019-11-28 22:01:27 UTC>]
2019-11-28T17:01:27 [I|app|19b88ec0] Processed 1 tasks from queue 'Host::Managed Main', completed 0/3
2019-11-28T17:01:27 [E|app|19b88ec0] Task 'Set up compute instance damon-paley.gsslab.rdu2.redhat.com' *failed*
2019-11-28T17:01:27 [E|app|19b88ec0] Task 'Query instance details for damon-paley.gsslab.rdu2.redhat.com' *canceled*
2019-11-28T17:01:27 [E|app|19b88ec0] Task 'Power up compute instance damon-paley.gsslab.rdu2.redhat.com' *canceled*
2019-11-28T17:01:27 [E|app|19b88ec0] Failed to save: Failed to create a compute RHV-NASA (RHV) instance damon-paley.gsslab.rdu2.redhat.com: Fault reason is "Operation Failed". Fault detail is "[Cannot add VM. Physical Memory Guaranteed cannot exceed Memory Size.]". HTTP response code is 400.
 
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendering hosts/new.html.erb within layouts/application
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered hosts/_progress.html.erb (0.4ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.12.0.27/app/views/overrides/activation_keys/_host_environment_select.html.erb (21.5ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered hosts/puppet/_main_tab_fields.html.erb (12.1ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered collection of puppetclasses/_selectedClasses.html.erb [0 times] (0.0ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered collection of puppetclasses/_classes_in_groups.html.erb [0 times] (0.0ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered puppetclasses/_classes.html.erb (0.2ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered puppetclasses/_class_selection.html.erb (63.1ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered hosts/puppet/_puppet_classes_tab.html.erb (63.9ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered nic/_base_form.html.erb (81.4ms)
2019-11-28T17:01:27 [I|app|19b88ec0]   Rendered nic/_virtual_form.html.erb (1.9ms)
2019-11-28T17:01:27 [I|app|c2fde69a] Started GET "/tasks/df1fa99d-a804-4101-b896-195eb50434d0" for 10.10.120.117 at 2019-11-28 17:01:27 -0500
2019-11-28T17:01:27 [I|app|c2fde69a] Processing by TasksController#show as */*
2019-11-28T17:01:27 [I|app|c2fde69a]   Parameters: {"id"=>"df1fa99d-a804-4101-b896-195eb50434d0"}
2019-11-28T17:01:27 [I|app|c2fde69a] Current user set to admin (admin)
2019-11-28T17:01:27 [I|app|c2fde69a]   Rendered tasks/_list.html.erb (1.2ms)
2019-11-28T17:01:27 [I|app|c2fde69a] Completed 200 OK in 14ms (Views: 6.3ms | ActiveRecord: 1.4ms)
"""

Comment 4 Bryan Kearney 2019-11-28 23:00:32 UTC
Upstream bug assigned to mshira@redhat.com

Comment 5 Bryan Kearney 2019-11-28 23:00:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/23194 has been resolved.

Comment 10 Lukáš Hellebrandt 2020-03-06 15:46:44 UTC
Verified with Sat 6.7 snap 14 using both reproducer from OP and from comment 9. The VM was successfully created.

Comment 13 errata-xmlrpc 2020-04-14 13:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.